require ('dotenv').config();
const { registerCommands } = require('./interactionCreate');

const {Client, Events, GatewayIntentBits} = require('discord.js');
const client = new Client({intents: [GatewayIntentBits.GuildMessages, GatewayIntentBits.GuildMessageReactions]});

client.on(Events.ClientReady, (x) => {
    console.log(`${x.user.tag} is ready`);
    client.user.setActivity("ham");
    registerCommands(client);    
    /*
    const pool = new SlashCommandBuilder()
    .setname('pool')
    .setDescription('This command changes the question pool')
    */
});

client.login(process.env.BOT_TOKEN);
