module.exports = {
    name: 'add',
    description: 'This will allow you to add two numbers.',
    options: [
      {
        name: 'first_number',
        description: 'Enter the first number',
        type: 'NUMBER',
        required: true,
      },
      {
        name: 'first_number',
        description: 'Enter the second number',
        type: 'NUMBER',
        required: true,        
      }
    ],
    execute(interaction){
      const firstNumber = interaction.options.getNumber('first_number');
      const secondNumber = interaction.options.getNumber('second_number');

      if(isNaN(firstNumber) || isNaN(secondNumber)){
          interaction.reply("Please enter numbers only.");
      }
      else
      {
          const result = firstNumber + secondNumber;
          interaction.reply(`${firstNumber} + ${secondNumber} = ${result}`);
      }   
    }
  };