module.exports = {
    name: 'bye',
    description: 'This is a bye command',
    options: [
      {
        name: 'user',
        description: 'The user to say bye to',
        type: 'USER',
        required: false,
      }
    ],
    execute(interaction){
      const userOption = interaction.options.getUser('user');
      if(userOption){
          interaction.reply(`Goodbye, ${userOption.toString()}!`)
      }
      else{
          interaction.reply('Goodbye!');
      }      
    }
  };